curl -g "https://YOUR_PROJECT.texterchat.com/server/api/v2/whatsapp/templates" \
-H "Authorization: Bearer YOUR_API_TOKEN"[
{
"_id": "6891bb93481ccea320113a91",
"name": "bulk_marketing_272",
"title": "<string>",
"usage": "inbox",
"chatStatus": 0,
"created": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"departments": [
"<string>"
],
"isDefault": true,
"setBotNode": "<string>",
"bot": "<string>",
"replyText": "<string>",
"responsibleAgent": "<string>",
"responsibleDepartment": "<string>",
"attachedFile": {
"name": "<string>",
"url": "<string>"
},
"provider": "<string>",
"channelInfo": {
"name": "whatsapp",
"accountId": "972586640430"
},
"provider_template": {
"name": "<string>",
"category": "MARKETING",
"localizations": [
{
"status": "REQUESTED",
"rejectionReason": "NONE",
"language": "he",
"components": [
{
"type": "HEADER",
"text": "<string>",
"format": "IMAGE",
"example": {
"header_handle": [
"<string>"
],
"body_text": [
[
"<string>"
]
],
"header_text": [
"<string>"
]
},
"buttons": [
{
"type": "QUICK_REPLY",
"text": "<string>",
"url": "<string>",
"phone_number": "<string>",
"flow_id": "<string>",
"flow_action": "navigate",
"navigate_screen": "<string>",
"example": {
"url": "<string>"
}
}
]
}
],
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"lastUpdated": "2023-11-07T05:31:56Z",
"qualityScore": {
"score": "<string>",
"reasons": [
"High block rate"
]
}
}
],
"metadata": {}
},
"defaults": {},
"localizationDrafts": {}
}
]{
"error": "WhatsApp account 972521234567 not found"
}Manage Templates
List All Templates
Retrieve all approved templates. You may optionally specify an account ID if multiple channels are connected, filter templates by whether they include a header, or include pending and rejected templates with includeAll.
GET
https://{projectID}.texterchat.com/server/api/v2
/
whatsapp
/
templates
curl -g "https://YOUR_PROJECT.texterchat.com/server/api/v2/whatsapp/templates" \
-H "Authorization: Bearer YOUR_API_TOKEN"[
{
"_id": "6891bb93481ccea320113a91",
"name": "bulk_marketing_272",
"title": "<string>",
"usage": "inbox",
"chatStatus": 0,
"created": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"departments": [
"<string>"
],
"isDefault": true,
"setBotNode": "<string>",
"bot": "<string>",
"replyText": "<string>",
"responsibleAgent": "<string>",
"responsibleDepartment": "<string>",
"attachedFile": {
"name": "<string>",
"url": "<string>"
},
"provider": "<string>",
"channelInfo": {
"name": "whatsapp",
"accountId": "972586640430"
},
"provider_template": {
"name": "<string>",
"category": "MARKETING",
"localizations": [
{
"status": "REQUESTED",
"rejectionReason": "NONE",
"language": "he",
"components": [
{
"type": "HEADER",
"text": "<string>",
"format": "IMAGE",
"example": {
"header_handle": [
"<string>"
],
"body_text": [
[
"<string>"
]
],
"header_text": [
"<string>"
]
},
"buttons": [
{
"type": "QUICK_REPLY",
"text": "<string>",
"url": "<string>",
"phone_number": "<string>",
"flow_id": "<string>",
"flow_action": "navigate",
"navigate_screen": "<string>",
"example": {
"url": "<string>"
}
}
]
}
],
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"lastUpdated": "2023-11-07T05:31:56Z",
"qualityScore": {
"score": "<string>",
"reasons": [
"High block rate"
]
}
}
],
"metadata": {}
},
"defaults": {},
"localizationDrafts": {}
}
]{
"error": "WhatsApp account 972521234567 not found"
}Required token scopes:
View template messages
All status values, type enums and the ID cheat sheet: Enums & Common Fields.Authorizations
Query Parameters
Response
An array of the matching template objects. Field-by-field reference: The Template object